<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>ApurWorkingPlace</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.paris, class: ApurWorkingPlace">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/ApurWorkingPlace.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.paris</a></div>
<h1 title="Class ApurWorkingPlace" class="title">Class ApurWorkingPlace</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance"><a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.POI</a>
<div class="inheritance"><a href="../iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.WorkingPlace</a>
<div class="inheritance">fr.ici.dataImporter.paris.ApurWorkingPlace</div>
</div>
</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">ApurWorkingPlace</span>
extends <a href="../iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#address">address</a>, <a href="../iciObjects/POI.html#attendance">attendance</a>, <a href="../iciObjects/POI.html#attendanceIndice">attendanceIndice</a>, <a href="../iciObjects/POI.html#capacity">capacity</a>, <a href="../iciObjects/POI.html#codeINSEE">codeINSEE</a>, <a href="../iciObjects/POI.html#codePost">codePost</a>, <a href="../iciObjects/POI.html#idBuilding">idBuilding</a>, <a href="../iciObjects/POI.html#lSource">lSource</a>, <a href="../iciObjects/POI.html#nAddress">nAddress</a>, <a href="../iciObjects/POI.html#name">name</a>, <a href="../iciObjects/POI.html#nomenclature">nomenclature</a>, <a href="../iciObjects/POI.html#openingHour">openingHour</a>, <a href="../iciObjects/POI.html#openLockdownMarch20">openLockdownMarch20</a>, <a href="../iciObjects/POI.html#openLockdownNov20">openLockdownNov20</a>, <a href="../iciObjects/POI.html#p">p</a>, <a href="../iciObjects/POI.html#potentialArea">potentialArea</a>, <a href="../iciObjects/POI.html#typeCodeSource">typeCodeSource</a>, <a href="../iciObjects/POI.html#typeNameIci">typeNameIci</a>, <a href="../iciObjects/POI.html#typeNameSource">typeNameSource</a>, <a href="../iciObjects/POI.html#typeRoad">typeRoad</a>, <a href="../iciObjects/POI.html#valid">valid</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#DEBUG">DEBUG</a>, <a href="../iciObjects/ICIObject.html#rdGen">rdGen</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,org.locationtech.jts.geom.Point)">ApurWorkingPlace</a></span>&#8203;(java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codePos,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
int&nbsp;capacity,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.util.List&lt;<a href="ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importAPURWorkingPlace(java.io.File,java.util.List)">importAPURWorkingPlace</a></span>&#8203;(java.io.File&nbsp;schoolFile,
java.util.List&lt;? extends <a href="../iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.WorkingPlace">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></h3>
<code><a href="../iciObjects/WorkingPlace.html#exportListWorkingPlace(java.util.List,java.io.File)">exportListWorkingPlace</a>, <a href="../iciObjects/WorkingPlace.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="../iciObjects/WorkingPlace.html#getSFB()">getSFB</a>, <a href="../iciObjects/WorkingPlace.html#importWorkingPlace(java.io.File)">importWorkingPlace</a>, <a href="../iciObjects/WorkingPlace.html#importWorkingPlace(java.io.File,java.io.File,java.util.List)">importWorkingPlace</a>, <a href="../iciObjects/WorkingPlace.html#main(java.lang.String%5B%5D)">main</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a>, <a href="../iciObjects/POI.html#canBeDoubled()">canBeDoubled</a>, <a href="../iciObjects/POI.html#canBeDoubled(java.io.InputStream)">canBeDoubled</a>, <a href="../iciObjects/POI.html#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a>, <a href="../iciObjects/POI.html#exportListPOI(java.util.List,java.io.File)">exportListPOI</a>, <a href="../iciObjects/POI.html#generateAttendanceCode(java.lang.String)">generateAttendanceCode</a>, <a href="../iciObjects/POI.html#getAttendance()">getAttendance</a>, <a href="../iciObjects/POI.html#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a>, <a href="../iciObjects/POI.html#getIdentification()">getIdentification</a>, <a href="../iciObjects/POI.html#importPOI(java.io.File)">importPOI</a>, <a href="../iciObjects/POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a>, <a href="../iciObjects/POI.html#isValid()">isValid</a>, <a href="../iciObjects/POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a>, <a href="../iciObjects/POI.html#setPotentialArea(double)">setPotentialArea</a>, <a href="../iciObjects/POI.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="../iciObjects/ICIObject.html#getID()">getID</a>, <a href="../iciObjects/ICIObject.html#getType()">getType</a>, <a href="../iciObjects/ICIObject.html#hashCode()">hashCode</a>, <a href="../iciObjects/ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,org.locationtech.jts.geom.Point)">
<h3>ApurWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">ApurWorkingPlace</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codePos,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
int&nbsp;capacity,
org.locationtech.jts.geom.Point&nbsp;p)</span>
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importAPURWorkingPlace(java.io.File,java.util.List)">
<h3>importAPURWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a>&gt;</span>&nbsp;<span class="member-name">importAPURWorkingPlace</span>&#8203;(<span class="parameters">java.io.File&nbsp;schoolFile,
java.util.List&lt;? extends <a href="../iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</span>
                                                               throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>schoolFile</code> - </dd>
<dd><code>lBuilding</code> - List of Buildings. They doesn't have to have their Housing made yet.</dd>
<dt>Returns:</dt>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/ApurWorkingPlace.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
